import Button from "@/components/base/Button/index";
import classNames from "classnames";
import React, { useState } from "react";

interface Paginationprops{
    size: number;
    currentIndex: number;
    onChange: (index: number) => void;
}
const Pagination: React.FC<Paginationprops> = ({ size, currentIndex, onChange }) => {
    const [isshow, setisshow] = useState(false)
    const count = 2;
    return (
        <div className="flex gap-2 flex-wrap ">
            {
                !(currentIndex <0) &&
            <>
            {
                currentIndex !== 0  && !(currentIndex >= size) && <Button size="sm" onClick={() => onChange(currentIndex - 1)}>
                  Back 
                </Button>
            }
            {
               !(currentIndex >= size)&&  Array.from({ length: (currentIndex >=size-count+1) || isshow ? size-currentIndex : count}).map((_, index) => {
                    return (
                        <Button
                            key={index}
                            onClick={() => onChange(index + currentIndex)}
                            size="icon"
                            isPrimary={currentIndex+index===currentIndex}
                        >
                            {currentIndex +index + 1}
                        </Button>
                    );
                })
            }
            {
                (!isshow && size-currentIndex > 2 )&& (
                    <React.Fragment>
                    <Button size="icon" onClick={()=>setisshow(!isshow)}>
                        ...
                    </Button>
                    <Button size="icon" onClick={() => onChange(size - 1)}>
                        {size}
                    </Button>
                    </React.Fragment>
                )
            }
            {
                currentIndex !==size-1 && !(currentIndex >= size) && <Button size="sm" onClick={() => onChange(1 + currentIndex)}>
                    Next
                    {/* <Image src={Right_Arrow} alt="arrow" className="w-[16px] h-[16px] mt-[1px]" /> */}
                </Button>
            }
                    </>
                }
        </div>
    );
}
 
export default Pagination;